import { PolarBase } from "./PolarBase";
import { PathRenderer } from "./PathRenderer";
import { SeriesView } from "./SeriesView";
import { UnknownValuePlotting } from "igniteui-react-core/ES2015/UnknownValuePlotting";
import { PolarFrame } from "./PolarFrame";
import { PolarBaseView } from "./PolarBaseView";
import { Type } from "igniteui-react-core/ES2015/type";
export declare abstract class PolarLineSeriesBase extends PolarBase {
    static $t: Type;
    protected bf(): SeriesView;
    il(a: SeriesView): void;
    ot: PolarLineSeriesBaseView;
    constructor();
    oq: PathRenderer;
    os: PathRenderer;
    ou(): UnknownValuePlotting;
    protected get_ox(): boolean;
    protected readonly ox: boolean;
    protected get_oz(): boolean;
    protected readonly oz: boolean;
    n0(a: PolarFrame, b: PolarBaseView): void;
    private o0;
    private o1;
    private ow;
    private ov;
    private oy;
    protected abstract o2(a: SeriesView): void;
    abstract o3(a: PolarFrame, b: PolarBaseView): void;
    ho(a: boolean, b: SeriesView): void;
    or: PathRenderer;
    n2(a: PolarFrame, b: PolarBaseView): void;
}
export declare class PolarLineSeriesBaseView extends PolarBaseView {
    static $t: Type;
    private cy;
    constructor(a: PolarLineSeriesBase);
    protected ac(): void;
}
